[gentoo-user-fr] Compilation sur amd64 d'un ebuild qui masque ce processeur

Le
Stephane Bortzmeyer
Je cherche à installer darcs sur une machine amd64.

emerge me dit :

Calculating dependencies /
!!! All ebuilds that could satisfy "darcs" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/darcs-1.0.6 (masked by: ~amd64 keyword)
- dev-util/darcs-1.0.7 (masked by: ~amd64 keyword)


En effet, le fichier ebuild contient un ~amd64 dans KEYWORDS et
http://packages.gentoo.org/search/?sstringÚrcs me dit bien que darcs
est "testing".

OK, je suis prêt à prendre des risques, et je voudrais compiler darcs
quand même. Mais je m'aperçois que je ne sais pas comment faire pour
dire à portage "Je sais ce que je fais, vas-y". Si je modifie le
fichier ebuild, j'ai :

!!! Digest verification failed:
!!! /usr/portage/dev-util/darcs/darcs-1.0.7.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 1956
!!! Expected: 1963
- dev-util/darcs-1.0.7 (masked by: corruption)
- dev-util/darcs-1.0.4 (masked by: ~amd64 keyword)

--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Bayrouni
Le #7825071
Stephane Bortzmeyer a écrit :
Je cherche à installer darcs sur une machine amd64.

emerge me dit :

Calculating dependencies /
!!! All ebuilds that could satisfy "darcs" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/darcs-1.0.6 (masked by: ~amd64 keyword)
- dev-util/darcs-1.0.7 (masked by: ~amd64 keyword)
...

En effet, le fichier ebuild contient un ~amd64 dans KEYWORDS et
http://packages.gentoo.org/search/?sstringÚrcs me dit bien que darcs
est "testing".

OK, je suis prêt à prendre des risques, et je voudrais compiler darcs
quand même. Mais je m'aperçois que je ne sais pas comment faire pour
dire à portage "Je sais ce que je fais, vas-y". Si je modifie le
fichier ebuild, j'ai :

!!! Digest verification failed:
!!! /usr/portage/dev-util/darcs/darcs-1.0.7.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 1956
!!! Expected: 1963
- dev-util/darcs-1.0.7 (masked by: corruption)
- dev-util/darcs-1.0.4 (masked by: ~amd64 keyword)
...



emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword
pour le 1.0.7 et ...1.0.6 pour le 1.0.6
--
mailing list
Stephane Bortzmeyer
Le #7825061
On Tue, Feb 27, 2007 at 08:14:27PM +0100,
Bayrouni a message of 34 lines which said:

emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword pour
le 1.0.7 et ...1.0.6 pour le 1.0.6



Euh, j'avoue que ça me laisse complètement perplexe :

% sudo emerge "Þv-util/darcs-1.0.7"
Calculating dependencies |
!!! All ebuilds that could satisfy "Þv-util/darcs-1.0.7" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/darcs-1.0.7 (masked by: ~amd64 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

Je ne vois pas ce que cela change ?
--
mailing list
Bayrouni
Le #7825051
Stephane Bortzmeyer a écrit :
On Tue, Feb 27, 2007 at 08:14:27PM +0100,
Bayrouni a message of 34 lines which said:

emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword pour
le 1.0.7 et ...1.0.6 pour le 1.0.6



Euh, j'avoue que ça me laisse complètement perplexe :

% sudo emerge "Þv-util/darcs-1.0.7"
Calculating dependencies |
!!! All ebuilds that could satisfy "Þv-util/darcs-1.0.7" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/darcs-1.0.7 (masked by: ~amd64 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

Je ne vois pas ce que cela change ?




Sorry,
echo "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keywords

ou bien sudo vi /etc/portage/packages.keywords
et puis tu y ajoutes:
Þv-util/darcs-1.0.7
--
mailing list
N'Erwan - Logan
Le #7825041
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Il faut faire un

echo "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword

et non emerge, cela va rajouter darcs à package.keyword, qui contient
les packages que tu veut utiliser en versions instables.

"Into the valley of death rode the six hundred.
Cannon to left of them, cannon to right of them, volleyed and thundered,
'The Trooper.'"

A. Tennyson


Stephane Bortzmeyer a écrit :
On Tue, Feb 27, 2007 at 08:14:27PM +0100,
Bayrouni a message of 34 lines which said:

emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword pour
le 1.0.7 et ...1.0.6 pour le 1.0.6



Euh, j'avoue que ça me laisse complètement perplexe :

% sudo emerge "Þv-util/darcs-1.0.7"
Calculating dependencies |
!!! All ebuilds that could satisfy "Þv-util/darcs-1.0.7" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/darcs-1.0.7 (masked by: ~amd64 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

Je ne vois pas ce que cela change ?


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.2 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFF5KRg4kG8sM33fdURAs5pAJ97DFd0jwt3NsdGTHvH9/WJpasIFgCeKItb
S9WXkSw4x1u4Lx3+t4+hw1E =mnSp
-----END PGP SIGNATURE-----
--
mailing list
Christophe Garault
Le #7825021
> OK, je suis prêt à prendre des risques, et je voudrais compiler darcs
quand même. Mais je m'aperçois que je ne sais pas comment faire pour
dire à portage "Je sais ce que je fais, vas-y".



Un des gros avantages de Gentoo sur ses concurrents c'est la doc. Il
serait dommage de s'en priver:

http://www.gentoo.org/doc/fr/handbook/handbook-x86.xml?part=3&chap=1#doc_chap1

Et puis man portage est une mine d'or aussi.
--
Christophe Garault


--
mailing list
Stephane Bortzmeyer
Le #7825031
On Tue, Feb 27, 2007 at 10:36:32PM +0100,
N'Erwan - Logan a message of 47 lines which said:

echo "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword



OK (mais c'est packages.keywords, avec le S à la fin), ça marche,
merci.
--
mailing list
Christophe Garault
Le #7825001
> emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword



Je remplacerai volontiers emerge par echo... ;-)

--
Christophe Garault


--
mailing list
Morpheus
Le #7825011
En fait, une erreur s'est glissée dans la réponse (je pense) !

il faut y lire :

echo "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword

(echo à la place de emerge) !
Ceci va dire à portage : Je sais ce que je fais pour le package
Þv-uti/darcs-1.0.7 !!

Apres un simple :

emerge "Þv-util/darcs-1.0.7" devrait fonctionner sans problème !!

Bon courage !

Stephane Bortzmeyer a écrit :
On Tue, Feb 27, 2007 at 08:14:27PM +0100,
Bayrouni a message of 34 lines which said:


emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword pour
le 1.0.7 et ...1.0.6 pour le 1.0.6




Euh, j'avoue que ça me laisse complètement perplexe :

% sudo emerge "Þv-util/darcs-1.0.7"
Calculating dependencies |
!!! All ebuilds that could satisfy "Þv-util/darcs-1.0.7" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/darcs-1.0.7 (masked by: ~amd64 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

Je ne vois pas ce que cela change ?




--
mailing list
Bayrouni
Le #7824991
Christophe Garault a écrit :
emerge "Þv-util/darcs-1.0.7" >> /etc/portage/packages.keyword



Je remplacerai volontiers emerge par echo... ;-)



Oui, je suis d'accord, il faut vraiment que j'ailles me coucher,
je ne fais plus de differences entre emerge et echo :)
J'ai été trahit par les bouts des doigts .
--
mailing list
Yoann Pannier
Le #7824981
Christophe Garault wrote, On 02/27/2007 10:47 PM:
http://www.gentoo.org/doc/fr/handbook/handbook-x86.xml?part=3&chap=1#doc_chap1



L'entrée de la mine : http://www.gentoo.org/doc/fr/list.xml , avec en
particulier une partie "Documentation système/Portage" qui contient
quelques galleries a explorer au moins une fois.

--
Yoann Pannier
--
mailing list
Publicité
Poster une réponse
Anonyme